{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.btop;
in {
  options.marleyos.programs.btop.enable = mkEnableOption "btop";

  config = mkIf cfg.enable {
    programs.btop = {
      enable = true;

      settings = {
        theme_background = false;
        truecolor = true;
        vim_keys = true;
      };
    };
  };
}
